#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(xfrm4_tunnel_register, "", "");
KSYMTAB_FUNC(xfrm4_tunnel_deregister, "", "");

SYMBOL_CRC(xfrm4_tunnel_register, 0x5c80e574, "");
SYMBOL_CRC(xfrm4_tunnel_deregister, 0x195877b3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc2697162, "inet_add_protocol" },
	{ 0x8a2bbda8, "xfrm_input_register_afinfo" },
	{ 0x1b4f0af9, "inet_del_protocol" },
	{ 0x122c3a7e, "_printk" },
	{ 0x29526780, "__icmp_send" },
	{ 0xa3d1d07e, "kfree_skb_reason" },
	{ 0x5327492a, "__pskb_pull_tail" },
	{ 0xe3fcfd8, "xfrm_input_unregister_afinfo" },
	{ 0x17608925, "module_layout" },
};

MODULE_INFO(depends, "");

